let reviewBtn = document.getElementById("review");

function checkAnswer(event, inputId) {
  if (event.key === "Enter") {
    let inputElement = document.getElementById(inputId);
    let inputVal = inputElement.value;
    let correctAnswer = inputElement.getAttribute("data-correct-answer");
    let cContainer = inputElement.closest(".c-content");

    if (inputVal.toLowerCase() === correctAnswer.toLowerCase()) {
      cContainer.classList.remove("u-error");
    } else {
      inputElement.className = "error";
      cContainer.classList.add("u-error-container");
    }

    setTimeout(() => {
      inputElement.classList.remove("error");
    }, 2500);
  }
}

function createReviewButton() {
  return new Promise((resolve, reject) => {
    let reviewBtn = document.createElement("button");
    reviewBtn.innerHTML = "Correggi";
    reviewBtn.id = "review";
    document.body.appendChild(reviewBtn);
    resolve(reviewBtn);
  });
}

function em() {
  let inputs = document.querySelectorAll("input[type='text']");
  let customAlert = document.getElementById("custom-alert");
  let error = document.querySelectorAll(".error");

  let allCorrect = true;

  let reviewBtn = document.getElementById("review");

  inputs.forEach((input) => {
    let inputVal = input.value;
    let correctAnswer = input.getAttribute("data-correct-answer");

    if (inputVal.toLowerCase() === correctAnswer.toLowerCase()) {
      input.className = "reviewed";
      console.log('c')
      let cContainers = document.querySelectorAll(
        ".c-content.u-error-container"
      );
      input.classList.add("error");
      cContainers.forEach((cContainer) => {
        cContainer.classList.add("u-error reviewed");
      });
    } else {
      console.log('b')

      allCorrect = false;
      let cContainers = document.querySelectorAll(
        ".c-content.u-error-container"
      );
      input.classList.add("error");
      cContainers.forEach((cContainer) => {
        cContainer.classList.add("u-error");
      });
    }
  });
  if (allCorrect) {
    customAlert.innerHTML = "Tutte le risposte sono corrette!";
    customAlert.className = "alert alert-success";
    if(error.classList){
      console.log(error.classList)
      error.classList.remove("error");
      error.className = "reviewed";
    }
    if(cContainer){
      cContainer.classList.remove("u-error");
    }
  } else {
    customAlert.innerHTML = "Alcune risposte sono errate Per favore, riprova.";
    inputs.forEach((input) => {
      input.classList.add("error");
    });

    customAlert.className = "alert alert-error";
  }

  customAlert.style.display = "block";
  setTimeout(() => {
    customAlert.style.display = "none";
    error.className = "reviewed";
    error.value = "";
  }, 4000);
}

createReviewButton().then((reviewBtn) => {
  reviewBtn.addEventListener("click", em);
});

document.addEventListener("DOMContentLoaded", function () {
  let inputs = document.querySelectorAll("input[type='text']");
  inputs.forEach((input) => {
    input.setAttribute("required", true);
    input.addEventListener("focus", function(){
      this.className = '';
    });
  });
});
